PhaseInterceptor (Apache CXF API 2.2.12-patch-03 API)
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Interface PhaseInterceptor<T extends Message>

All Superinterfaces:
  Interceptor<T>

All Known Implementing Classes:
  AbstractPhaseInterceptor

    public interface PhaseInterceptor<T extends Message>

extends Interceptor<T>

A phase interceptor is an intercetor that participates in a PhaseInterceptorChain. The phase property controls the phase in which the interceptor is placed. The before and after properties allow for fine grained control over where the phase the interceptor is placed. They specify the IDs of the interceptors that must be placed before and after the interceptor.

Author:
  Dan Diephouse
See Also:
  `PhaseInterceptorChain`

Method Summary
`Set<String>` | `getAfter()` Returns a set containing the IDs of the interceptors that should be executed before this interceptor.
`Set<String>` | `getBefore()` Returns a set containing the IDs of the interceptors that should be executed after this interceptor.
`String` | `getId()` Returns the ID of this interceptor.
`String` | `getPhase()` Returns the phase in which this interceptor is excecuted.

Methods inherited from interface org.apache.cxf.interceptor.Interceptor
`handleFault, handleMessage`

Method Detail

### getAfter

    Set<String> getAfter()

  Returns a set containing the IDs of the interceptors that should be executed before this interceptor. This interceptor will be placed in the chain after the interceptors in the set.

  Returns:
    the IDs of the interceptors

### getBefore

    Set<String> getBefore()

  Returns a set containing the IDs of the interceptors that should be executed after this interceptor. This interceptor will be placed in the inteceptor chain before the interceptors in the set.

  Returns:
    the ids of the interceptors

### getId

    String getId()

  Returns the ID of this interceptor.

  Returns:
    the ID

### getPhase

    String getPhase()

  Returns the phase in which this interceptor is excecuted.

  Returns:
    the phase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF